<?php

/**
 * 公司工商印业执照下载
 */
class CompanyLicenseDownloadRequest extends SdkRequest {

    const REQUEST_URL = '/v2/company/downloadlicense';

    private $companyName;   // 公司名称

    function getUrl() {
        return self::REQUEST_URL;
    }

    function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('companyName',$this->companyName);
        $httpParamer = HttpParameter::httpGetParamer();
        $httpParamer->setParams($paramSwitcher->getParams());
        return $httpParamer;
    }

    /**
     * @return mixed
     */
    public function getCompanyName()
    {
        return $this->companyName;
    }

    /**
     * @param mixed $companyName
     */
    public function setCompanyName($companyName)
    {
        $this->companyName = $companyName;
    }

}