<?php

class UserAuthPageRequest extends SdkRequest {

    const REQUEST_URL = "/v2/personalauth";

    private $userAuth;

    public function getUrl() {
        return self::REQUEST_URL;
    }

    public function getHttpParamers() {
        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setJsonParams(json_encode($this->userAuth));
        return $httpParameters;
    }

    /**
     * @return mixed
     */
    public function getUserAuth()
    {
        return $this->userAuth;
    }

    /**
     * @param mixed $userAuth
     */
    public function setUserAuth($userAuth)
    {
        $this->userAuth = $userAuth;
    }
}